<!DOCTYPE html>
<html>
    <head>
        <title>Prueba de formularios</title>
        <meta charset="UTF-8">
    </head>
    <body>
        <form action="registrardatos.php" method="post">
            Ingrese su nombre
            <input type="text" name="nombre" size="30"><br>
            Seleccione los lenguajes que conoces:
            <br>
            <input type="checkbox" name="java">Java<br>
            <input type="checkbox" name="cmasmas">C++<br>
            <input type="checkbox" name="python">Python<br>
            <input type="checkbox" name="c">C<br>
            <input type="checkbox" name="charp">C#<br>
            <input type="submit" value="Enviar">
        </form>
    </body>
</html>